<script>
import { userApi } from '@/api/user.js'

export default {
	onLaunch: function() {
		// 获取并保存设备信息
		if (!uni.getStorageSync("deviceInfo")) {
			const deviceInfo = uni.getDeviceInfo()
			uni.setStorageSync("deviceInfo", deviceInfo)
			console.log("初始化设备信息", deviceInfo)
		}
	},
	onShow: async function() {
		// 检查是否有token，有则自动登录
		const userInfo = uni.getStorageSync("userInfo")
		if (userInfo?.yhsbToken) {
			try {
				console.log("自动登录", userInfo.yhsbToken)
				const res = await userApi.autoLogin({
					mdToken: userInfo.yhsbToken
				})
				console.log("自动登录", res.data)
				// 更新整个 userInfo 对象，主要更新yhsbToken
				
				uni.setStorageSync("userInfo", res.data)
				
			} catch (error) {
				console.error("自动登录失败", error)
				// 可以在这里处理登录失败的情况，比如清除token
				// uni.removeStorageSync("userInfo")
			}
		} else {
			console.log("无token，跳过自动登录")
		}
	},
	onHide: function() {
		console.log('App Hide')
	}
}
</script>

<style lang="scss">
	@import "uview-plus/index.scss";
</style>
